// begin of localization
if (typeof mxG=='undefined') mxG={};
if (typeof mxG.Z=='undefined') mxG.Z=[];
if (!mxG.Z.it) mxG.Z.it=[];

mxG.Z.it["•"]=1; // particle style

// mgos.js
mxG.Z.it["Require HTML5!"]="Richiede HTML5!";
mxG.Z.it["Loading..."]="Caricamento...";

// mgosBackToMain.js
mxG.Z.it["Back to game"]="Ritorna alla partita";

// mgosCartouche.js
mxG.Z.it["Caps"]="Catture";
mxG.Z.it["Rank"]="Rango";

// mgosComment.js
mxG.Z.it["buildMove"]=function(k) {return k+"mossa";};

// mgosCut.js
mxG.Z.it["Cut"]="Taglia";

// mgosEdit.js
mxG.Z.it["Selection"]="Selezione";
mxG.Z.it["Full/partial view"]="Vista completa/parziale";
mxG.Z.it["Place a move"]="Gioca una mossa";
mxG.Z.it["Add/remove a stone"]="Aggiungi/rimuovi una pietra";
mxG.Z.it["Cut branch"]="Elimina il ramo";
mxG.Z.it["Copy branch"]="Copia il ramo";
mxG.Z.it["Paste branch"]="Incolla il ramo";
mxG.Z.it["Label"]="Etichetta";
mxG.Z.it["Mark"]="Croce";
mxG.Z.it["Circle"]="Circonferenza";
mxG.Z.it["Square"]="Quadrato";
mxG.Z.it["Triangle"]="Triangolo";
mxG.Z.it["Numbering"]="Numerazione";
mxG.Z.it["As in book"]="Come nei libri";
mxG.Z.it["Indices"]="Coordinate";
mxG.Z.it["Variation marks"]="Simboli delle varianti";
mxG.Z.it["Variation style"]="Stile delle varianti";
mxG.Z.it["Mark on last"]="Evidenzia ultima mossa";
mxG.Z.it["Marks and labels"]="Simboli e etichette";
mxG.Z.it["Header"]="Intestazione";
mxG.Z.it["B"]="L";
mxG.Z.it["I"]="C";
mxG.Z.it["V"]="V";
mxG.Z.it["H"]="I";
mxG.Z.it["S"]="S";
mxG.Z.it["OK"]="OK";
mxG.Z.it["Cancel"]="Annulla";
mxG.Z.it["New (from this point):"]="Nuova (da questo punto):";
mxG.Z.it["Modify"]="Modifica";
mxG.Z.it["Remove"]="Rimuovi";
mxG.Z.it["Start numbering with:"]="Inizia la numerazione con:";
mxG.Z.it["No numbering"]="Nessuna numerazione";
mxG.Z.it["="]="=";
mxG.Z.it["~"]="~";
mxG.Z.it["!"]="!";
mxG.Z.it["?"]="?";
mxG.Z.it["?!"]="?!";
mxG.Z.it["!?"]="!?";
mxG.Z.it["T"]="T";
mxG.Z.it["Good move"]="Mossa buona";
mxG.Z.it["Bad move"]="Mossa errata";
mxG.Z.it["Doubtful move"]="Mossa dubbia";
mxG.Z.it["Interesting move"]="Mossa interessante";
mxG.Z.it["Good for Black"]="Buono per Nero";
mxG.Z.it["Good for White"]="Buono per Bianco";
mxG.Z.it["Even"]="Parità";
mxG.Z.it["Unclear"]="Incerto";
mxG.Z.it["Turn in Sgf"]="Trasforma in SGF";
mxG.Z.it["Symmetry"]="Simmetria";
mxG.Z.it["No symmetry"]="Nessuna simmetria";
mxG.Z.it["Horizontal mirror"]="Rifletti orizzontalmente";
mxG.Z.it["Vertical mirror"]="Rifletti verticalmente";
mxG.Z.it["Rotate"]="Ruota";

// mgosFile.js
mxG.Z.it["File"]="File";
mxG.Z.it["New"]="Nuovo";
mxG.Z.it["Open"]="Apri";
mxG.Z.it["Close"]="Chiudi";
mxG.Z.it["Save"]="Salva";
mxG.Z.it["Save on your device"]="Salva sul tuo dispositivo";
mxG.Z.it["Send"]="Invia";
mxG.Z.it["Send by email"]="Invia per eMail";
mxG.Z.it["Goban size"]="Dimensioni goban";
mxG.Z.it["Email:"]="eMail:";
mxG.Z.it["Create"]="Crea";
mxG.Z.it["Add"]="Aggiungi";
//mxG.Z.it["OK"]="OK";
//mxG.Z.it["Cancel"]="Annulla";
mxG.Z.it["Values between 5 and 19:"]="Valori tra 5 e 19:";
mxG.Z.it["Values between 1 and 52:"]="Valori tra 1 e 52:";
mxG.Z.it["Click here to open a sgf file"]="Cliccare qua per aprire un file SGF";
mxG.Z.it["File name:"]="Nome del file";
mxG.Z.it["Your browser cannot do this!"]="Il browser non può eseguire questa operazione!";
mxG.Z.it["Error"]="Errore";
mxG.Z.it["Untitled"]="Senza titolo";
mxG.Z.it["This is not a sgf file!"]="Questo non è un file SGF!";

// mgosGoto.js
mxG.Z.it["Guess-o-meter"]="Stima del punteggio";

// mgosHeader.js
//mxG.Z.it["Header"]="Intestazione";
mxG.Z.it[" "]=" ";
mxG.Z.it[", "]=", ";
mxG.Z.it[": "]=": ";
mxG.Z.it["."]=".";
mxG.Z.it["-"]="-";
mxG.Z.it["Black"]="Nero";
mxG.Z.it["White"]="Bianco";
mxG.Z.it[" wins"]=" vince";
mxG.Z.it["Date"]="Data";
mxG.Z.it["Place"]="Luogo";
mxG.Z.it["Rules"]="Regole";
mxG.Z.it["Time limits"]="Tempo principale";
mxG.Z.it["Handicap"]="Handicap";
mxG.Z.it["Result"]="Esito";
mxG.Z.it["none"]="nessuno";
mxG.Z.it[" by resign"]=" per abbandono";
mxG.Z.it[" by time"]=" per tempo";
mxG.Z.it[" by forfeit"]=" per forfeit";
mxG.Z.it[" by "]=" di ";
mxG.Z.it["game with no result"]="partita sospesa";
mxG.Z.it["draw"]="patta";
mxG.Z.it["unknown result"]="risultato sconosciuto";
mxG.Z.it["Komi"]="Komi";
mxG.Z.it[" point"]=" punto";
mxG.Z.it[" points"]=" punti";
mxG.Z.it[" Close "]="Chiudi";
mxG.Z.it["h"]="h";
mxG.Z.it["mn"]="m";
mxG.Z.it["s"]="s";
mxG.Z.it[" per player"]=" per giocatore";
mxG.Z.it["Japanese"]="Giapponesi";
mxG.Z.it["Chinese"]="Cinesi";
mxG.Z.it["Korean"]="Coreane";
mxG.Z.it["GOE"]="GOE";
mxG.Z.it["AGA"]="AGA";
mxG.Z.it[" move"]=" mossa";
mxG.Z.it[" moves"]=" mosse";
mxG.Z.it["Number of moves"]="Numero di mosse";

mxG.Z.it["buildDay"]=function(a)
{
	return a.replace(/,([0-9]{2})/g,mxG.Z.it["-"]+"$1").replace(/0([1-9])/g,"$1")+"giorno";
};

mxG.Z.it["buildMonth"]=function(a)
{
	return a.replace(/0([1-9])/g,"$1")+"mese";
};

mxG.Z.it["buildDate2"]=function(s)
{
	var r,reg=/(^\s*([0-9]{2})(-([0-9]{2}(,[0-9]{2})*))?)(([^-])(.*))*\s*$/g;
	if (s.match(reg))
	{
		r=s.replace(reg,"$8");
		m=s.replace(reg,"$2");
		d=s.replace(reg,"$4");
		return mxG.Z.it["buildMonth"](m)+(d?mxG.Z.it["buildDay"](d):"")+(r?mxG.Z.it[", "]+mxG.Z.it["buildDate2"](r):"");
	}
	return s;
};

mxG.Z.it["buildDate"]=function(s)
{
	var r,y,m,reg=/(^\s*([0-9]{4})(-([^\.]*))*)(\.)?(.*)\s*$/g,k,km,z;
	if (s.indexOf("~")>=0)
	{
		r=s.split("~");
		km=r.length;
		z=mxG.Z.it["buildDate"](r[0]);
		for (k=1;k<km;k++) z+="〜"+mxG.Z.it["buildDate"](r[k]);
		return z;
	}
	s=s.replace(/,([0-9]{4})/g,".$1");
	if (s.match(reg))
	{
		r=s.replace(reg,"$6");
		y=s.replace(reg,"$2");
		m=s.replace(reg,"$4");
		return (y+"年")+(m?mxG.Z.it["buildDate2"](m):"")+(r?mxG.Z.it[", "]+mxG.Z.it["buildDate"](r):"");
	}
	return s;
};

mxG.Z.it["buildRank"]=function(a)
{
	var b=a;
	if (b.match(/^[0-9]+[kdp]$/))
	{
		b=b.replace(/[dp]/,"d");
		b=b.replace("k","k");
		b=b.replace("10","10");
		b=b.replace("1","1");
		b=b.replace("2","2");
		b=b.replace("3","3");
		b=b.replace("4","4");
		b=b.replace("5","5");
		b=b.replace("6","6");
		b=b.replace("7","7");
		b=b.replace("8","8");
		b=b.replace("9","9");
	}
	return b;
};

mxG.Z.it["buildTimeLimits"]=function(a)
{
	if (a.match(/^[0-9]+$/g))
	{
		var r="",t,h,mn,s;
		t=parseInt(a);
		h=Math.floor(t/3600);
		if (h) r+=h+mxG.Z.it["h"];
		mn=Math.floor((t-h*3600)/60);
		if (mn) r+=(r?mxG.Z.it[" "]:"")+mn+mxG.Z.it["mn"];
		s=t-h*3600-mn*60;
		if (s) r+=(r?mxG.Z.it[" "]:"")+s+mxG.Z.it["s"];
		return mxG.Z.it[" per player"]+r;
	}
	return a;
};

mxG.Z.it["buildNumOfMoves"]=function(a) {return a+"mossa";};

mxG.Z.it["buildResult"]=function(a)
{
	var b="";
	if (a.substr(0,1)=="B") b=mxG.Z.it["Black"];
	else if (a.substr(0,1)=="W") b=mxG.Z.it["White"];
	else if (a.substr(0,1)=="V") return mxG.Z.it["game with no result"];
	else if (a.substr(0,1)=="D") return mxG.Z.it["draw"];
	else if (a.substr(0,1)=="0") return mxG.Z.it["draw"];
	else if (a.substr(0,1)=="?") return mxG.Z.it["unknown result"];
	else return a;
	
	if (a.substr(1,1)=="+")
	{
		if (a.substr(2,1)=="R") b+=mxG.Z.it[" by resign"];
		else if (a.substr(2,1)=="T") b+=mxG.Z.it[" by time"];
		else if (a.substr(2,1)=="F") b+=mxG.Z.it[" by forfeit"];
		else if (a.length>2) b+=(parseFloat(a.substr(2).replace(",","."))+mxG.Z.it[" point"]);
	}
	b+=mxG.Z.it[" wins"];
	return b;
};

// mgosHelp.js
//mxG.Z.it[" Close "]="Chiudi";
mxG.Z.it["Help"]="Aiuto";
mxG.Z.it["Help not available!"]="Aiuto non disponibile!";
//mxG.Z.it["Error"]="Errore";

// mgosImage.js
mxG.Z.it["Image"]="Cattura immagine";

// mgosInfo.js
mxG.Z.it["Info"]="Informazioni";
//mxG.Z.it["OK"]="OK";
//mxG.Z.it["Cancel"]="Annulla";
mxG.Z.it["Event:"]="Evento:";
mxG.Z.it["Round:"]="Turno:";
mxG.Z.it["Black:"]="Nero:";
mxG.Z.it["White:"]="Bianco:";
mxG.Z.it["Rank:"]="Rango:";
mxG.Z.it["Komi:"]="Komi:";
mxG.Z.it["Handicap:"]="Handicap:";
mxG.Z.it["Result:"]="Esito:";
mxG.Z.it["Date:"]="Data:";
mxG.Z.it["Place:"]="Luogo:";
mxG.Z.it["Rules:"]="Regole:";
mxG.Z.it["Time limits:"]="Tempo principale:";
mxG.Z.it["Overtime:"]="Byo-yomi:";
mxG.Z.it["Annotations:"]="Note:";
mxG.Z.it["Copyright:"]="Copyright:";
mxG.Z.it["Source:"]="Fonte:";
mxG.Z.it["User:"]="Utente:";
mxG.Z.it["Black team:"]="Squadra Nero:";
mxG.Z.it["White team:"]="Squadra bianco:";
mxG.Z.it["Game name:"]="Nome della partita:";
mxG.Z.it["Opening:"]="Apertura:";
mxG.Z.it["General comment:"]="Commento generale:";
mxG.Z.it["by resign"]="per abbandono";
mxG.Z.it["by time"]="per tempo";
mxG.Z.it["by forfeit"]="per forfait";
mxG.Z.it["by"]="di";
mxG.Z.it["on points"]="punti";
mxG.Z.it["suspended"]="sospesa";
mxG.Z.it["Main"]="Principale";
mxG.Z.it["Other"]="Altro";
//mxG.Z.it["Black"]="Nero";
//mxG.Z.it["White"]="Bianco";
//mxG.Z.it[" wins"]=" vince";
//mxG.Z.it["draw"]="patta";
mxG.Z.it["no result"]="sospesa";
mxG.Z.it["unknown"]="sconosciuto";

// mgosKifu.js
mxG.Z.it["Kifu"]="Kifu";

// mgosMenu.js
mxG.Z.it["File"]="File";
mxG.Z.it["Edit"]="Modifica";
//mxG.Z.it["Cut"]="Taglia";
mxG.Z.it["Copy"]="Copia";
mxG.Z.it["Paste"]="Incolla";
mxG.Z.it["View"]="Vista";
mxG.Z.it["Window"]="Finestra";
//mxG.Z.it["Untitled"]="Senza titolo";

// mgosMoveInfo.js
// mgosNotSeen.js
mxG.Z.it[" elsewhere"]=" altrove";
mxG.Z.it[" pass"]=" passo";
mxG.Z.it[" at "]=" in ";

// mgosOption.js
mxG.Z.it["Options"]="Opzioni";
//mxG.Z.it["OK"]="OK";
//mxG.Z.it["Cancel"]="Annulla";
//mxG.Z.it["Mark on last"]="Evidenzia ultima mossa";
//mxG.Z.it["Indices"]="Coordinate";
//mxG.Z.it["As in book"]="Come nei libri";
//mxG.Z.it["Numbering"]="Numerazione";
//mxG.Z.it["Marks and labels"]="Simboli e etichette";
//mxG.Z.it["Variation marks"]="Simboli delle varianti";
mxG.Z.it["Show variations of current move instead of next move"]="Mostra le varianti della mossa attuale anziché la mossa successiva";
mxG.Z.it["In 3d"]="In 3D";
mxG.Z.it["When clicking on the goban"]="Cliccando sul goban";
mxG.Z.it["place a variation"]="Gioca una variante";
mxG.Z.it["try to guess the next move"]="Prova a indovinare la mossa successiva";
mxG.Z.it["from"]="da";
mxG.Z.it["with"]="con";
mxG.Z.it["Loop time:"]="Durata del ciclo:";
mxG.Z.it["Animated stone"]="Animazione delle pietre";
mxG.Z.it["Animated stone time:"]="Durata dell'animazione delle pietre:";
mxG.Z.it["Eval score"]="Calcolo del punteggio:";

// mgosPass.js
mxG.Z.it["Pass"]="Passo";

// mgosSgf.js
mxG.Z.it["SGF"]="SGF";
//mxG.Z.it[" Close "]="Chiudi";
	
// mgosSolve.js
mxG.Z.it["Retry"]="Ripeti";
mxG.Z.it["Undo"]="Annulla";
mxG.Z.it["Continuation"]="Prosegui";

// mgosScore.js
mxG.Z.it["Score"]="Punteggio";
//mxG.Z.it["Black:"]="Nero:";
//mxG.Z.it["White:"]="Bianco:";
mxG.Z.it["chinese rules"]="regole cinesi";
mxG.Z.it["AGA rules"]="regole AGA";
mxG.Z.it["Ing rules"]="regole Ing";
mxG.Z.it["New-Zeland rules"]="regole neozelandesi";
mxG.Z.it["japanese rules"]="regole giapponesi";
mxG.Z.it["territory"]="territorio";
mxG.Z.it["prisoners"]="catture";
mxG.Z.it["pass"]="passo";
mxG.Z.it["stones"]="pietre";
mxG.Z.it["last move"]="ultima mossa";
mxG.Z.it["komi"]="komi";

// mgosTitle.js
//mxG.Z.it[", "]=", ";

// mgosVariations.js
mxG.Z.it["Variations: "]="Varianti: ";
mxG.Z.it["no variation"]="nessuna variante";

// mgosView.js
mxG.Z.it["2d/3d"]="2D/3D";
mxG.Z.it["Zoom+"]="Ingrandisci";
mxG.Z.it["No zoom"]="Nessuno zoom";
mxG.Z.it["Zoom-"]="Riduci";
mxG.Z.it["Colors"]="Colori";
mxG.Z.it["Goban background (CSS color or JPG image):"]="Sfondo del goban (colore CSS o immagine JPG):";
mxG.Z.it["Line color (CSS color):"]="Colore delle linee (colore CSS):";
mxG.Z.it["Variation on focus color (CSS color):"]="Colore della variante selezionata (colore CSS):";
mxG.Z.it["JPG images:"]="Immagini JPG:";

// end of localization
